# -*- coding: utf-8 -*-

import os
import json
import pandas as pd


def get_project_path():
    current_path = os.path.abspath(__file__)
    current_dir = os.path.split(current_path)[0]
    return os.path.abspath(os.path.join(current_dir, '../..'))


def get_data_path():
    project_path = get_project_path()
    return os.path.join(project_path, 'data')


def get_conf_path():
    project_path = get_project_path()
    return os.path.join(project_path, 'conf/private.conf')


def get_model_path():
    project_path = get_project_path()
    return os.path.join(project_path, 'model')

def read_user_encoder_dict():
    user_encoder_json_data = None
    project_path = get_project_path()
    with open(os.path.join(project_path, 'model_data/user_encoder_json_data.json'), 'r') as f:
        user_encoder_json_data = json.load(f)
    return user_encoder_json_data

def read_counselors():
    project_path = get_project_path()
    return pd.read_csv(os.path.join(project_path, 'model_data/doctor_profile_selected_feature.csv'), sep=',', index_col=0, dtype={'doctor_id':str})
